net.sourceforge.pmd.lang.java.xpath

## Class JavaFunctions

- java.lang.Object
- - net.sourceforge.pmd.lang.java.xpath.JavaFunctions

    public class JavaFunctions
    extends Object

Exposes all Java Language specific functions for Saxon use.

### Constructor Summary

Constructors
Constructor and Description
`JavaFunctions()`

### Method Summary

Methods
`static boolean` `typeof(net.sf.saxon.expr.XPathContext context, String nodeTypeName, String fullTypeName)`
`static boolean` `typeof(net.sf.saxon.expr.XPathContext context, String nodeTypeName, String fullTypeName, String shortTypeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaFunctions

    public JavaFunctions()

### Method Detail

#### typeof

    public static boolean typeof(net.sf.saxon.expr.XPathContext context,
                 String nodeTypeName,
                 String fullTypeName)

#### typeof

    public static boolean typeof(net.sf.saxon.expr.XPathContext context,
                 String nodeTypeName,
                 String fullTypeName,
                 String shortTypeName)